Reference for Processing version 1.1+. If you have a previous version, use the reference included with your software. If you see any errors or have suggestions, »please let us know. If you prefer a more technical reference, visit the »Processing Javadoc.

Class | Serial

Name

### readStringUntil()

Examples

    // Example by Tom Igoe

    import processing.serial.*;

    int lf = 10;    // Linefeed in ASCII
    String myString = null;
    Serial myPort;  // The serial port

    void setup() {
      // List all the available serial ports
      println(Serial.list());
      // I know that the first port in the serial list on my mac
      // is always my  Keyspan adaptor, so I open Serial.list()[0].
      // Open whatever port is the one you're using.
      myPort = new Serial(this, Serial.list()[0], 9600);
      myPort.clear();
      // Throw out the first reading, in case we started reading
      // in the middle of a string from the sender.
      myString = myPort.readStringUntil(lf);
      myString = null;
    }

    void draw() {
      while (myPort.available() > 0) {
        myString = myPort.readStringUntil(lf);
        if (myString != null) {
          println(myString);
        }
      }
    }

Description | Combination of readBytesUntil() and readString(). Returns null if it doesn't find what you're looking for.

Syntax

    serial.readStringUntil()
    serial.readStringUntil(interesting)

Parameters

serial | any variable of type Serial
interesting | byte: character designated to mark the end of the data

Returns | String
Usage | Web & Application

Updated on June 14, 2010 12:05:25pm EDT